org.wso2.carbon.mdm.services.android.bean.wrapper

## Class DeviceEnrollmentInfo

- java.lang.Object
- - org.wso2.carbon.device.mgt.common.EnrolmentInfo
  - - org.wso2.carbon.mdm.services.android.bean.wrapper.DeviceEnrollmentInfo

- All Implemented Interfaces:
    Serializable

      public class DeviceEnrollmentInfo
      extends org.wso2.carbon.device.mgt.common.EnrolmentInfo
      implements Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wso2.carbon.device.mgt.common.EnrolmentInfo

      `org.wso2.carbon.device.mgt.common.EnrolmentInfo.OwnerShip, org.wso2.carbon.device.mgt.common.EnrolmentInfo.Status`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceEnrollmentInfo()`
    `DeviceEnrollmentInfo(org.wso2.carbon.device.mgt.common.Device device, String owner, org.wso2.carbon.device.mgt.common.EnrolmentInfo.OwnerShip ownership, org.wso2.carbon.device.mgt.common.EnrolmentInfo.Status status)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `Long` | `getDateOfEnrolment()`
    `Long` | `getDateOfLastUpdate()`
    `org.wso2.carbon.device.mgt.common.Device` | `getDevice()`
    `String` | `getOwner()`
    `org.wso2.carbon.device.mgt.common.EnrolmentInfo.OwnerShip` | `getOwnership()`
    `org.wso2.carbon.device.mgt.common.EnrolmentInfo.Status` | `getStatus()`
    `int` | `hashCode()`
    `void` | `setDateOfEnrolment(Long dateOfEnrolment)`
    `void` | `setDateOfLastUpdate(Long dateOfLastUpdate)`
    `void` | `setDevice(org.wso2.carbon.device.mgt.common.Device device)`
    `void` | `setOwner(String owner)`
    `void` | `setOwnership(org.wso2.carbon.device.mgt.common.EnrolmentInfo.OwnerShip ownership)`
    `void` | `setStatus(org.wso2.carbon.device.mgt.common.EnrolmentInfo.Status status)`

    - ### Methods inherited from class org.wso2.carbon.device.mgt.common.EnrolmentInfo

      `getId, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeviceEnrollmentInfo

          public DeviceEnrollmentInfo()

    - #### DeviceEnrollmentInfo

          public DeviceEnrollmentInfo(org.wso2.carbon.device.mgt.common.Device device,
                              String owner,
                              org.wso2.carbon.device.mgt.common.EnrolmentInfo.OwnerShip ownership,
                              org.wso2.carbon.device.mgt.common.EnrolmentInfo.Status status)

  - ### Method Detail

    - #### getDateOfEnrolment

          public Long getDateOfEnrolment()

      Overrides:
        `getDateOfEnrolment` in class `org.wso2.carbon.device.mgt.common.EnrolmentInfo`

    - #### setDateOfEnrolment

          public void setDateOfEnrolment(Long dateOfEnrolment)

      Overrides:
        `setDateOfEnrolment` in class `org.wso2.carbon.device.mgt.common.EnrolmentInfo`

    - #### getDateOfLastUpdate

          public Long getDateOfLastUpdate()

      Overrides:
        `getDateOfLastUpdate` in class `org.wso2.carbon.device.mgt.common.EnrolmentInfo`

    - #### setDateOfLastUpdate

          public void setDateOfLastUpdate(Long dateOfLastUpdate)

      Overrides:
        `setDateOfLastUpdate` in class `org.wso2.carbon.device.mgt.common.EnrolmentInfo`

    - #### getOwnership

          public org.wso2.carbon.device.mgt.common.EnrolmentInfo.OwnerShip getOwnership()

      Overrides:
        `getOwnership` in class `org.wso2.carbon.device.mgt.common.EnrolmentInfo`

    - #### setOwnership

          public void setOwnership(org.wso2.carbon.device.mgt.common.EnrolmentInfo.OwnerShip ownership)

      Overrides:
        `setOwnership` in class `org.wso2.carbon.device.mgt.common.EnrolmentInfo`

    - #### getStatus

          public org.wso2.carbon.device.mgt.common.EnrolmentInfo.Status getStatus()

      Overrides:
        `getStatus` in class `org.wso2.carbon.device.mgt.common.EnrolmentInfo`

    - #### setStatus

          public void setStatus(org.wso2.carbon.device.mgt.common.EnrolmentInfo.Status status)

      Overrides:
        `setStatus` in class `org.wso2.carbon.device.mgt.common.EnrolmentInfo`

    - #### getOwner

          public String getOwner()

      Overrides:
        `getOwner` in class `org.wso2.carbon.device.mgt.common.EnrolmentInfo`

    - #### setOwner

          public void setOwner(String owner)

      Overrides:
        `setOwner` in class `org.wso2.carbon.device.mgt.common.EnrolmentInfo`

    - #### getDevice

          public org.wso2.carbon.device.mgt.common.Device getDevice()

    - #### setDevice

          public void setDevice(org.wso2.carbon.device.mgt.common.Device device)

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `org.wso2.carbon.device.mgt.common.EnrolmentInfo`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `org.wso2.carbon.device.mgt.common.EnrolmentInfo`

Copyright © 2017 WSO2. All rights reserved.